Changeset 1722 for trunk


Ignore:
Timestamp:
Apr 17, 2011 5:58:37 AM (9 years ago)
Author:
stefan
Message:

adjust to changes in CoinUtils? header files

Location:
trunk/Clp
Files:
14 edited

Legend:

Unmodified
Added
Removed
  • trunk/Clp/configure

    r1720 r1722  
    31463146esac
    31473147
     3148# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     3149if test x$COIN_PRJCT != x; then
     3150  CFLAGS="$CFLAGS -D${COIN_PRJCT}_BUILD"
     3151fi
     3152
    31483153# Try if CFLAGS works
    31493154save_CFLAGS="$CFLAGS"
     
    40844089    fi ;;
    40854090esac
     4091
     4092# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     4093if test x$COIN_PRJCT != x; then
     4094  CXXFLAGS="$CXXFLAGS -D${COIN_PRJCT}_BUILD"
     4095fi
    40864096
    40874097# Try if CXXFLAGS works
     
    59765986*-*-irix6*)
    59775987  # Find out which ABI we are using.
    5978   echo '#line 5978 "configure"' > conftest.$ac_ext
     5988  echo '#line 5988 "configure"' > conftest.$ac_ext
    59795989  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59805990  (eval $ac_compile) 2>&5
     
    71107120
    71117121# Provide some information about the compiler.
    7112 echo "$as_me:7112:" \
     7122echo "$as_me:7122:" \
    71137123     "checking for Fortran 77 compiler version" >&5
    71147124ac_compiler=`set X $ac_compile; echo $2`
     
    81778187   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81788188   -e 's:$: $lt_compiler_flag:'`
    8179    (eval echo "\"\$as_me:8179: $lt_compile\"" >&5)
     8189   (eval echo "\"\$as_me:8189: $lt_compile\"" >&5)
    81808190   (eval "$lt_compile" 2>conftest.err)
    81818191   ac_status=$?
    81828192   cat conftest.err >&5
    8183    echo "$as_me:8183: \$? = $ac_status" >&5
     8193   echo "$as_me:8193: \$? = $ac_status" >&5
    81848194   if (exit $ac_status) && test -s "$ac_outfile"; then
    81858195     # The compiler can only warn and ignore the option if not recognized
     
    84458455   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84468456   -e 's:$: $lt_compiler_flag:'`
    8447    (eval echo "\"\$as_me:8447: $lt_compile\"" >&5)
     8457   (eval echo "\"\$as_me:8457: $lt_compile\"" >&5)
    84488458   (eval "$lt_compile" 2>conftest.err)
    84498459   ac_status=$?
    84508460   cat conftest.err >&5
    8451    echo "$as_me:8451: \$? = $ac_status" >&5
     8461   echo "$as_me:8461: \$? = $ac_status" >&5
    84528462   if (exit $ac_status) && test -s "$ac_outfile"; then
    84538463     # The compiler can only warn and ignore the option if not recognized
     
    85498559   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85508560   -e 's:$: $lt_compiler_flag:'`
    8551    (eval echo "\"\$as_me:8551: $lt_compile\"" >&5)
     8561   (eval echo "\"\$as_me:8561: $lt_compile\"" >&5)
    85528562   (eval "$lt_compile" 2>out/conftest.err)
    85538563   ac_status=$?
    85548564   cat out/conftest.err >&5
    8555    echo "$as_me:8555: \$? = $ac_status" >&5
     8565   echo "$as_me:8565: \$? = $ac_status" >&5
    85568566   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    85578567   then
     
    1089410904  lt_status=$lt_dlunknown
    1089510905  cat > conftest.$ac_ext <<EOF
    10896 #line 10896 "configure"
     10906#line 10906 "configure"
    1089710907#include "confdefs.h"
    1089810908
     
    1099411004  lt_status=$lt_dlunknown
    1099511005  cat > conftest.$ac_ext <<EOF
    10996 #line 10996 "configure"
     11006#line 11006 "configure"
    1099711007#include "confdefs.h"
    1099811008
     
    1333813348   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1333913349   -e 's:$: $lt_compiler_flag:'`
    13340    (eval echo "\"\$as_me:13340: $lt_compile\"" >&5)
     13350   (eval echo "\"\$as_me:13350: $lt_compile\"" >&5)
    1334113351   (eval "$lt_compile" 2>conftest.err)
    1334213352   ac_status=$?
    1334313353   cat conftest.err >&5
    13344    echo "$as_me:13344: \$? = $ac_status" >&5
     13354   echo "$as_me:13354: \$? = $ac_status" >&5
    1334513355   if (exit $ac_status) && test -s "$ac_outfile"; then
    1334613356     # The compiler can only warn and ignore the option if not recognized
     
    1344213452   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1344313453   -e 's:$: $lt_compiler_flag:'`
    13444    (eval echo "\"\$as_me:13444: $lt_compile\"" >&5)
     13454   (eval echo "\"\$as_me:13454: $lt_compile\"" >&5)
    1344513455   (eval "$lt_compile" 2>out/conftest.err)
    1344613456   ac_status=$?
    1344713457   cat out/conftest.err >&5
    13448    echo "$as_me:13448: \$? = $ac_status" >&5
     13458   echo "$as_me:13458: \$? = $ac_status" >&5
    1344913459   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1345013460   then
     
    1501215022   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501315023   -e 's:$: $lt_compiler_flag:'`
    15014    (eval echo "\"\$as_me:15014: $lt_compile\"" >&5)
     15024   (eval echo "\"\$as_me:15024: $lt_compile\"" >&5)
    1501515025   (eval "$lt_compile" 2>conftest.err)
    1501615026   ac_status=$?
    1501715027   cat conftest.err >&5
    15018    echo "$as_me:15018: \$? = $ac_status" >&5
     15028   echo "$as_me:15028: \$? = $ac_status" >&5
    1501915029   if (exit $ac_status) && test -s "$ac_outfile"; then
    1502015030     # The compiler can only warn and ignore the option if not recognized
     
    1511615126   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1511715127   -e 's:$: $lt_compiler_flag:'`
    15118    (eval echo "\"\$as_me:15118: $lt_compile\"" >&5)
     15128   (eval echo "\"\$as_me:15128: $lt_compile\"" >&5)
    1511915129   (eval "$lt_compile" 2>out/conftest.err)
    1512015130   ac_status=$?
    1512115131   cat out/conftest.err >&5
    15122    echo "$as_me:15122: \$? = $ac_status" >&5
     15132   echo "$as_me:15132: \$? = $ac_status" >&5
    1512315133   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1512415134   then
     
    1732317333   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1732417334   -e 's:$: $lt_compiler_flag:'`
    17325    (eval echo "\"\$as_me:17325: $lt_compile\"" >&5)
     17335   (eval echo "\"\$as_me:17335: $lt_compile\"" >&5)
    1732617336   (eval "$lt_compile" 2>conftest.err)
    1732717337   ac_status=$?
    1732817338   cat conftest.err >&5
    17329    echo "$as_me:17329: \$? = $ac_status" >&5
     17339   echo "$as_me:17339: \$? = $ac_status" >&5
    1733017340   if (exit $ac_status) && test -s "$ac_outfile"; then
    1733117341     # The compiler can only warn and ignore the option if not recognized
     
    1759117601   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759217602   -e 's:$: $lt_compiler_flag:'`
    17593    (eval echo "\"\$as_me:17593: $lt_compile\"" >&5)
     17603   (eval echo "\"\$as_me:17603: $lt_compile\"" >&5)
    1759417604   (eval "$lt_compile" 2>conftest.err)
    1759517605   ac_status=$?
    1759617606   cat conftest.err >&5
    17597    echo "$as_me:17597: \$? = $ac_status" >&5
     17607   echo "$as_me:17607: \$? = $ac_status" >&5
    1759817608   if (exit $ac_status) && test -s "$ac_outfile"; then
    1759917609     # The compiler can only warn and ignore the option if not recognized
     
    1769517705   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1769617706   -e 's:$: $lt_compiler_flag:'`
    17697    (eval echo "\"\$as_me:17697: $lt_compile\"" >&5)
     17707   (eval echo "\"\$as_me:17707: $lt_compile\"" >&5)
    1769817708   (eval "$lt_compile" 2>out/conftest.err)
    1769917709   ac_status=$?
    1770017710   cat out/conftest.err >&5
    17701    echo "$as_me:17701: \$? = $ac_status" >&5
     17711   echo "$as_me:17711: \$? = $ac_status" >&5
    1770217712   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1770317713   then
     
    2468424694
    2468524695# Provide some information about the compiler.
    24686 echo "$as_me:24686:" \
     24696echo "$as_me:24696:" \
    2468724697     "checking for Fortran 77 compiler version" >&5
    2468824698ac_compiler=`set X $ac_compile; echo $2`
     
    2525325263ac_save_FFLAGS=$FFLAGS
    2525425264FFLAGS="$FFLAGS $ac_verb"
    25255 (eval echo $as_me:25255: \"$ac_link\") >&5
     25265(eval echo $as_me:25265: \"$ac_link\") >&5
    2525625266ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2525725267echo "$ac_f77_v_output" >&5
     
    2533125341ac_save_FFLAGS=$FFLAGS
    2533225342FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    25333 (eval echo $as_me:25333: \"$ac_link\") >&5
     25343(eval echo $as_me:25343: \"$ac_link\") >&5
    2533425344ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    2533525345echo "$ac_f77_v_output" >&5
     
    2985029860  LIBS="$coin_save_LIBS"
    2985129861fi
     29862
     29863
     29864
     29865ac_ext=cc
     29866ac_cpp='$CXXCPP $CPPFLAGS'
     29867ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     29868ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     29869ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     29870
     29871#if test x"" = x; then
     29872#  hdr="#include <cmath>"
     29873#else
     29874#  hdr=""
     29875#fi
     29876#AC_CHECK_HEADERS([cmath],[],[],[$hdr])
     29877
     29878for ac_header in cmath
     29879do
     29880as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     29881if eval "test \"\${$as_ac_Header+set}\" = set"; then
     29882  echo "$as_me:$LINENO: checking for $ac_header" >&5
     29883echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     29884if eval "test \"\${$as_ac_Header+set}\" = set"; then
     29885  echo $ECHO_N "(cached) $ECHO_C" >&6
     29886fi
     29887echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     29888echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     29889else
     29890  # Is the header compilable?
     29891echo "$as_me:$LINENO: checking $ac_header usability" >&5
     29892echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     29893cat >conftest.$ac_ext <<_ACEOF
     29894/* confdefs.h.  */
     29895_ACEOF
     29896cat confdefs.h >>conftest.$ac_ext
     29897cat >>conftest.$ac_ext <<_ACEOF
     29898/* end confdefs.h.  */
     29899$ac_includes_default
     29900#include <$ac_header>
     29901_ACEOF
     29902rm -f conftest.$ac_objext
     29903if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     29904  (eval $ac_compile) 2>conftest.er1
     29905  ac_status=$?
     29906  grep -v '^ *+' conftest.er1 >conftest.err
     29907  rm -f conftest.er1
     29908  cat conftest.err >&5
     29909  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29910  (exit $ac_status); } &&
     29911         { ac_try='test -z "$ac_cxx_werror_flag"
     29912                         || test ! -s conftest.err'
     29913  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     29914  (eval $ac_try) 2>&5
     29915  ac_status=$?
     29916  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29917  (exit $ac_status); }; } &&
     29918         { ac_try='test -s conftest.$ac_objext'
     29919  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     29920  (eval $ac_try) 2>&5
     29921  ac_status=$?
     29922  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29923  (exit $ac_status); }; }; then
     29924  ac_header_compiler=yes
     29925else
     29926  echo "$as_me: failed program was:" >&5
     29927sed 's/^/| /' conftest.$ac_ext >&5
     29928
     29929ac_header_compiler=no
     29930fi
     29931rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     29932echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     29933echo "${ECHO_T}$ac_header_compiler" >&6
     29934
     29935# Is the header present?
     29936echo "$as_me:$LINENO: checking $ac_header presence" >&5
     29937echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     29938cat >conftest.$ac_ext <<_ACEOF
     29939/* confdefs.h.  */
     29940_ACEOF
     29941cat confdefs.h >>conftest.$ac_ext
     29942cat >>conftest.$ac_ext <<_ACEOF
     29943/* end confdefs.h.  */
     29944#include <$ac_header>
     29945_ACEOF
     29946if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     29947  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     29948  ac_status=$?
     29949  grep -v '^ *+' conftest.er1 >conftest.err
     29950  rm -f conftest.er1
     29951  cat conftest.err >&5
     29952  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     29953  (exit $ac_status); } >/dev/null; then
     29954  if test -s conftest.err; then
     29955    ac_cpp_err=$ac_cxx_preproc_warn_flag
     29956    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     29957  else
     29958    ac_cpp_err=
     29959  fi
     29960else
     29961  ac_cpp_err=yes
     29962fi
     29963if test -z "$ac_cpp_err"; then
     29964  ac_header_preproc=yes
     29965else
     29966  echo "$as_me: failed program was:" >&5
     29967sed 's/^/| /' conftest.$ac_ext >&5
     29968
     29969  ac_header_preproc=no
     29970fi
     29971rm -f conftest.err conftest.$ac_ext
     29972echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     29973echo "${ECHO_T}$ac_header_preproc" >&6
     29974
     29975# So?  What about this header?
     29976case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     29977  yes:no: )
     29978    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     29979echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     29980    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     29981echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     29982    ac_header_preproc=yes
     29983    ;;
     29984  no:yes:* )
     29985    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     29986echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     29987    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     29988echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     29989    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     29990echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     29991    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     29992echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     29993    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     29994echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     29995    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     29996echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     29997    (
     29998      cat <<\_ASBOX
     29999## ----------------------------------- ##
     30000## Report this to clp@list.coin-or.org ##
     30001## ----------------------------------- ##
     30002_ASBOX
     30003    ) |
     30004      sed "s/^/$as_me: WARNING:     /" >&2
     30005    ;;
     30006esac
     30007echo "$as_me:$LINENO: checking for $ac_header" >&5
     30008echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30009if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30010  echo $ECHO_N "(cached) $ECHO_C" >&6
     30011else
     30012  eval "$as_ac_Header=\$ac_header_preproc"
     30013fi
     30014echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30015echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30016
     30017fi
     30018if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30019  cat >>confdefs.h <<_ACEOF
     30020#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30021_ACEOF
     30022
     30023fi
     30024
     30025done
     30026
     30027
     30028if test "$ac_cv_header_cmath" != "yes"; then
     30029  #if test x"" = x; then
     30030#  hdr="#include <math.h>"
     30031#else
     30032#  hdr=""
     30033#fi
     30034#AC_CHECK_HEADERS([math.h],[],[],[$hdr])
     30035
     30036for ac_header in math.h
     30037do
     30038as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     30039if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30040  echo "$as_me:$LINENO: checking for $ac_header" >&5
     30041echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30042if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30043  echo $ECHO_N "(cached) $ECHO_C" >&6
     30044fi
     30045echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30046echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30047else
     30048  # Is the header compilable?
     30049echo "$as_me:$LINENO: checking $ac_header usability" >&5
     30050echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     30051cat >conftest.$ac_ext <<_ACEOF
     30052/* confdefs.h.  */
     30053_ACEOF
     30054cat confdefs.h >>conftest.$ac_ext
     30055cat >>conftest.$ac_ext <<_ACEOF
     30056/* end confdefs.h.  */
     30057$ac_includes_default
     30058#include <$ac_header>
     30059_ACEOF
     30060rm -f conftest.$ac_objext
     30061if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     30062  (eval $ac_compile) 2>conftest.er1
     30063  ac_status=$?
     30064  grep -v '^ *+' conftest.er1 >conftest.err
     30065  rm -f conftest.er1
     30066  cat conftest.err >&5
     30067  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30068  (exit $ac_status); } &&
     30069         { ac_try='test -z "$ac_cxx_werror_flag"
     30070                         || test ! -s conftest.err'
     30071  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30072  (eval $ac_try) 2>&5
     30073  ac_status=$?
     30074  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30075  (exit $ac_status); }; } &&
     30076         { ac_try='test -s conftest.$ac_objext'
     30077  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30078  (eval $ac_try) 2>&5
     30079  ac_status=$?
     30080  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30081  (exit $ac_status); }; }; then
     30082  ac_header_compiler=yes
     30083else
     30084  echo "$as_me: failed program was:" >&5
     30085sed 's/^/| /' conftest.$ac_ext >&5
     30086
     30087ac_header_compiler=no
     30088fi
     30089rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     30090echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     30091echo "${ECHO_T}$ac_header_compiler" >&6
     30092
     30093# Is the header present?
     30094echo "$as_me:$LINENO: checking $ac_header presence" >&5
     30095echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     30096cat >conftest.$ac_ext <<_ACEOF
     30097/* confdefs.h.  */
     30098_ACEOF
     30099cat confdefs.h >>conftest.$ac_ext
     30100cat >>conftest.$ac_ext <<_ACEOF
     30101/* end confdefs.h.  */
     30102#include <$ac_header>
     30103_ACEOF
     30104if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     30105  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     30106  ac_status=$?
     30107  grep -v '^ *+' conftest.er1 >conftest.err
     30108  rm -f conftest.er1
     30109  cat conftest.err >&5
     30110  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30111  (exit $ac_status); } >/dev/null; then
     30112  if test -s conftest.err; then
     30113    ac_cpp_err=$ac_cxx_preproc_warn_flag
     30114    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     30115  else
     30116    ac_cpp_err=
     30117  fi
     30118else
     30119  ac_cpp_err=yes
     30120fi
     30121if test -z "$ac_cpp_err"; then
     30122  ac_header_preproc=yes
     30123else
     30124  echo "$as_me: failed program was:" >&5
     30125sed 's/^/| /' conftest.$ac_ext >&5
     30126
     30127  ac_header_preproc=no
     30128fi
     30129rm -f conftest.err conftest.$ac_ext
     30130echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     30131echo "${ECHO_T}$ac_header_preproc" >&6
     30132
     30133# So?  What about this header?
     30134case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     30135  yes:no: )
     30136    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     30137echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     30138    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     30139echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     30140    ac_header_preproc=yes
     30141    ;;
     30142  no:yes:* )
     30143    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     30144echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     30145    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     30146echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     30147    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     30148echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     30149    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     30150echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     30151    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     30152echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     30153    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     30154echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     30155    (
     30156      cat <<\_ASBOX
     30157## ----------------------------------- ##
     30158## Report this to clp@list.coin-or.org ##
     30159## ----------------------------------- ##
     30160_ASBOX
     30161    ) |
     30162      sed "s/^/$as_me: WARNING:     /" >&2
     30163    ;;
     30164esac
     30165echo "$as_me:$LINENO: checking for $ac_header" >&5
     30166echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30167if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30168  echo $ECHO_N "(cached) $ECHO_C" >&6
     30169else
     30170  eval "$as_ac_Header=\$ac_header_preproc"
     30171fi
     30172echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30173echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30174
     30175fi
     30176if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30177  cat >>confdefs.h <<_ACEOF
     30178#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30179_ACEOF
     30180
     30181fi
     30182
     30183done
     30184
     30185
     30186fi
     30187ac_ext=c
     30188ac_cpp='$CPP $CPPFLAGS'
     30189ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     30190ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     30191ac_compiler_gnu=$ac_cv_c_compiler_gnu
     30192
     30193
     30194ac_ext=cc
     30195ac_cpp='$CXXCPP $CPPFLAGS'
     30196ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     30197ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     30198ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     30199
     30200#if test x"" = x; then
     30201#  hdr="#include <cfloat>"
     30202#else
     30203#  hdr=""
     30204#fi
     30205#AC_CHECK_HEADERS([cfloat],[],[],[$hdr])
     30206
     30207for ac_header in cfloat
     30208do
     30209as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     30210if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30211  echo "$as_me:$LINENO: checking for $ac_header" >&5
     30212echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30213if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30214  echo $ECHO_N "(cached) $ECHO_C" >&6
     30215fi
     30216echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30217echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30218else
     30219  # Is the header compilable?
     30220echo "$as_me:$LINENO: checking $ac_header usability" >&5
     30221echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     30222cat >conftest.$ac_ext <<_ACEOF
     30223/* confdefs.h.  */
     30224_ACEOF
     30225cat confdefs.h >>conftest.$ac_ext
     30226cat >>conftest.$ac_ext <<_ACEOF
     30227/* end confdefs.h.  */
     30228$ac_includes_default
     30229#include <$ac_header>
     30230_ACEOF
     30231rm -f conftest.$ac_objext
     30232if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     30233  (eval $ac_compile) 2>conftest.er1
     30234  ac_status=$?
     30235  grep -v '^ *+' conftest.er1 >conftest.err
     30236  rm -f conftest.er1
     30237  cat conftest.err >&5
     30238  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30239  (exit $ac_status); } &&
     30240         { ac_try='test -z "$ac_cxx_werror_flag"
     30241                         || test ! -s conftest.err'
     30242  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30243  (eval $ac_try) 2>&5
     30244  ac_status=$?
     30245  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30246  (exit $ac_status); }; } &&
     30247         { ac_try='test -s conftest.$ac_objext'
     30248  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30249  (eval $ac_try) 2>&5
     30250  ac_status=$?
     30251  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30252  (exit $ac_status); }; }; then
     30253  ac_header_compiler=yes
     30254else
     30255  echo "$as_me: failed program was:" >&5
     30256sed 's/^/| /' conftest.$ac_ext >&5
     30257
     30258ac_header_compiler=no
     30259fi
     30260rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     30261echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     30262echo "${ECHO_T}$ac_header_compiler" >&6
     30263
     30264# Is the header present?
     30265echo "$as_me:$LINENO: checking $ac_header presence" >&5
     30266echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     30267cat >conftest.$ac_ext <<_ACEOF
     30268/* confdefs.h.  */
     30269_ACEOF
     30270cat confdefs.h >>conftest.$ac_ext
     30271cat >>conftest.$ac_ext <<_ACEOF
     30272/* end confdefs.h.  */
     30273#include <$ac_header>
     30274_ACEOF
     30275if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     30276  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     30277  ac_status=$?
     30278  grep -v '^ *+' conftest.er1 >conftest.err
     30279  rm -f conftest.er1
     30280  cat conftest.err >&5
     30281  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30282  (exit $ac_status); } >/dev/null; then
     30283  if test -s conftest.err; then
     30284    ac_cpp_err=$ac_cxx_preproc_warn_flag
     30285    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     30286  else
     30287    ac_cpp_err=
     30288  fi
     30289else
     30290  ac_cpp_err=yes
     30291fi
     30292if test -z "$ac_cpp_err"; then
     30293  ac_header_preproc=yes
     30294else
     30295  echo "$as_me: failed program was:" >&5
     30296sed 's/^/| /' conftest.$ac_ext >&5
     30297
     30298  ac_header_preproc=no
     30299fi
     30300rm -f conftest.err conftest.$ac_ext
     30301echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     30302echo "${ECHO_T}$ac_header_preproc" >&6
     30303
     30304# So?  What about this header?
     30305case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     30306  yes:no: )
     30307    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     30308echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     30309    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     30310echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     30311    ac_header_preproc=yes
     30312    ;;
     30313  no:yes:* )
     30314    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     30315echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     30316    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     30317echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     30318    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     30319echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     30320    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     30321echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     30322    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     30323echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     30324    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     30325echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     30326    (
     30327      cat <<\_ASBOX
     30328## ----------------------------------- ##
     30329## Report this to clp@list.coin-or.org ##
     30330## ----------------------------------- ##
     30331_ASBOX
     30332    ) |
     30333      sed "s/^/$as_me: WARNING:     /" >&2
     30334    ;;
     30335esac
     30336echo "$as_me:$LINENO: checking for $ac_header" >&5
     30337echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30338if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30339  echo $ECHO_N "(cached) $ECHO_C" >&6
     30340else
     30341  eval "$as_ac_Header=\$ac_header_preproc"
     30342fi
     30343echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30344echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30345
     30346fi
     30347if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30348  cat >>confdefs.h <<_ACEOF
     30349#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30350_ACEOF
     30351
     30352fi
     30353
     30354done
     30355
     30356
     30357if test "$ac_cv_header_cfloat" != "yes"; then
     30358  #if test x"" = x; then
     30359#  hdr="#include <float.h>"
     30360#else
     30361#  hdr=""
     30362#fi
     30363#AC_CHECK_HEADERS([float.h],[],[],[$hdr])
     30364
     30365for ac_header in float.h
     30366do
     30367as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     30368if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30369  echo "$as_me:$LINENO: checking for $ac_header" >&5
     30370echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30371if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30372  echo $ECHO_N "(cached) $ECHO_C" >&6
     30373fi
     30374echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30375echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30376else
     30377  # Is the header compilable?
     30378echo "$as_me:$LINENO: checking $ac_header usability" >&5
     30379echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     30380cat >conftest.$ac_ext <<_ACEOF
     30381/* confdefs.h.  */
     30382_ACEOF
     30383cat confdefs.h >>conftest.$ac_ext
     30384cat >>conftest.$ac_ext <<_ACEOF
     30385/* end confdefs.h.  */
     30386$ac_includes_default
     30387#include <$ac_header>
     30388_ACEOF
     30389rm -f conftest.$ac_objext
     30390if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     30391  (eval $ac_compile) 2>conftest.er1
     30392  ac_status=$?
     30393  grep -v '^ *+' conftest.er1 >conftest.err
     30394  rm -f conftest.er1
     30395  cat conftest.err >&5
     30396  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30397  (exit $ac_status); } &&
     30398         { ac_try='test -z "$ac_cxx_werror_flag"
     30399                         || test ! -s conftest.err'
     30400  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30401  (eval $ac_try) 2>&5
     30402  ac_status=$?
     30403  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30404  (exit $ac_status); }; } &&
     30405         { ac_try='test -s conftest.$ac_objext'
     30406  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30407  (eval $ac_try) 2>&5
     30408  ac_status=$?
     30409  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30410  (exit $ac_status); }; }; then
     30411  ac_header_compiler=yes
     30412else
     30413  echo "$as_me: failed program was:" >&5
     30414sed 's/^/| /' conftest.$ac_ext >&5
     30415
     30416ac_header_compiler=no
     30417fi
     30418rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     30419echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     30420echo "${ECHO_T}$ac_header_compiler" >&6
     30421
     30422# Is the header present?
     30423echo "$as_me:$LINENO: checking $ac_header presence" >&5
     30424echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     30425cat >conftest.$ac_ext <<_ACEOF
     30426/* confdefs.h.  */
     30427_ACEOF
     30428cat confdefs.h >>conftest.$ac_ext
     30429cat >>conftest.$ac_ext <<_ACEOF
     30430/* end confdefs.h.  */
     30431#include <$ac_header>
     30432_ACEOF
     30433if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     30434  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     30435  ac_status=$?
     30436  grep -v '^ *+' conftest.er1 >conftest.err
     30437  rm -f conftest.er1
     30438  cat conftest.err >&5
     30439  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30440  (exit $ac_status); } >/dev/null; then
     30441  if test -s conftest.err; then
     30442    ac_cpp_err=$ac_cxx_preproc_warn_flag
     30443    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     30444  else
     30445    ac_cpp_err=
     30446  fi
     30447else
     30448  ac_cpp_err=yes
     30449fi
     30450if test -z "$ac_cpp_err"; then
     30451  ac_header_preproc=yes
     30452else
     30453  echo "$as_me: failed program was:" >&5
     30454sed 's/^/| /' conftest.$ac_ext >&5
     30455
     30456  ac_header_preproc=no
     30457fi
     30458rm -f conftest.err conftest.$ac_ext
     30459echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     30460echo "${ECHO_T}$ac_header_preproc" >&6
     30461
     30462# So?  What about this header?
     30463case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     30464  yes:no: )
     30465    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     30466echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     30467    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     30468echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     30469    ac_header_preproc=yes
     30470    ;;
     30471  no:yes:* )
     30472    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     30473echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     30474    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     30475echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     30476    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     30477echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     30478    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     30479echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     30480    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     30481echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     30482    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     30483echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     30484    (
     30485      cat <<\_ASBOX
     30486## ----------------------------------- ##
     30487## Report this to clp@list.coin-or.org ##
     30488## ----------------------------------- ##
     30489_ASBOX
     30490    ) |
     30491      sed "s/^/$as_me: WARNING:     /" >&2
     30492    ;;
     30493esac
     30494echo "$as_me:$LINENO: checking for $ac_header" >&5
     30495echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30496if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30497  echo $ECHO_N "(cached) $ECHO_C" >&6
     30498else
     30499  eval "$as_ac_Header=\$ac_header_preproc"
     30500fi
     30501echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30502echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30503
     30504fi
     30505if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30506  cat >>confdefs.h <<_ACEOF
     30507#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30508_ACEOF
     30509
     30510fi
     30511
     30512done
     30513
     30514
     30515fi
     30516ac_ext=c
     30517ac_cpp='$CPP $CPPFLAGS'
     30518ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     30519ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     30520ac_compiler_gnu=$ac_cv_c_compiler_gnu
     30521
     30522
     30523ac_ext=cc
     30524ac_cpp='$CXXCPP $CPPFLAGS'
     30525ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     30526ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     30527ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     30528
     30529#if test x"" = x; then
     30530#  hdr="#include <cieeefp>"
     30531#else
     30532#  hdr=""
     30533#fi
     30534#AC_CHECK_HEADERS([cieeefp],[],[],[$hdr])
     30535
     30536for ac_header in cieeefp
     30537do
     30538as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     30539if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30540  echo "$as_me:$LINENO: checking for $ac_header" >&5
     30541echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30542if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30543  echo $ECHO_N "(cached) $ECHO_C" >&6
     30544fi
     30545echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30546echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30547else
     30548  # Is the header compilable?
     30549echo "$as_me:$LINENO: checking $ac_header usability" >&5
     30550echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     30551cat >conftest.$ac_ext <<_ACEOF
     30552/* confdefs.h.  */
     30553_ACEOF
     30554cat confdefs.h >>conftest.$ac_ext
     30555cat >>conftest.$ac_ext <<_ACEOF
     30556/* end confdefs.h.  */
     30557$ac_includes_default
     30558#include <$ac_header>
     30559_ACEOF
     30560rm -f conftest.$ac_objext
     30561if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     30562  (eval $ac_compile) 2>conftest.er1
     30563  ac_status=$?
     30564  grep -v '^ *+' conftest.er1 >conftest.err
     30565  rm -f conftest.er1
     30566  cat conftest.err >&5
     30567  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30568  (exit $ac_status); } &&
     30569         { ac_try='test -z "$ac_cxx_werror_flag"
     30570                         || test ! -s conftest.err'
     30571  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30572  (eval $ac_try) 2>&5
     30573  ac_status=$?
     30574  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30575  (exit $ac_status); }; } &&
     30576         { ac_try='test -s conftest.$ac_objext'
     30577  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30578  (eval $ac_try) 2>&5
     30579  ac_status=$?
     30580  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30581  (exit $ac_status); }; }; then
     30582  ac_header_compiler=yes
     30583else
     30584  echo "$as_me: failed program was:" >&5
     30585sed 's/^/| /' conftest.$ac_ext >&5
     30586
     30587ac_header_compiler=no
     30588fi
     30589rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     30590echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     30591echo "${ECHO_T}$ac_header_compiler" >&6
     30592
     30593# Is the header present?
     30594echo "$as_me:$LINENO: checking $ac_header presence" >&5
     30595echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     30596cat >conftest.$ac_ext <<_ACEOF
     30597/* confdefs.h.  */
     30598_ACEOF
     30599cat confdefs.h >>conftest.$ac_ext
     30600cat >>conftest.$ac_ext <<_ACEOF
     30601/* end confdefs.h.  */
     30602#include <$ac_header>
     30603_ACEOF
     30604if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     30605  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     30606  ac_status=$?
     30607  grep -v '^ *+' conftest.er1 >conftest.err
     30608  rm -f conftest.er1
     30609  cat conftest.err >&5
     30610  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30611  (exit $ac_status); } >/dev/null; then
     30612  if test -s conftest.err; then
     30613    ac_cpp_err=$ac_cxx_preproc_warn_flag
     30614    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     30615  else
     30616    ac_cpp_err=
     30617  fi
     30618else
     30619  ac_cpp_err=yes
     30620fi
     30621if test -z "$ac_cpp_err"; then
     30622  ac_header_preproc=yes
     30623else
     30624  echo "$as_me: failed program was:" >&5
     30625sed 's/^/| /' conftest.$ac_ext >&5
     30626
     30627  ac_header_preproc=no
     30628fi
     30629rm -f conftest.err conftest.$ac_ext
     30630echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     30631echo "${ECHO_T}$ac_header_preproc" >&6
     30632
     30633# So?  What about this header?
     30634case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     30635  yes:no: )
     30636    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     30637echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     30638    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     30639echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     30640    ac_header_preproc=yes
     30641    ;;
     30642  no:yes:* )
     30643    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     30644echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     30645    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     30646echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     30647    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     30648echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     30649    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     30650echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     30651    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     30652echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     30653    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     30654echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     30655    (
     30656      cat <<\_ASBOX
     30657## ----------------------------------- ##
     30658## Report this to clp@list.coin-or.org ##
     30659## ----------------------------------- ##
     30660_ASBOX
     30661    ) |
     30662      sed "s/^/$as_me: WARNING:     /" >&2
     30663    ;;
     30664esac
     30665echo "$as_me:$LINENO: checking for $ac_header" >&5
     30666echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30667if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30668  echo $ECHO_N "(cached) $ECHO_C" >&6
     30669else
     30670  eval "$as_ac_Header=\$ac_header_preproc"
     30671fi
     30672echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30673echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30674
     30675fi
     30676if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30677  cat >>confdefs.h <<_ACEOF
     30678#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30679_ACEOF
     30680
     30681fi
     30682
     30683done
     30684
     30685
     30686if test "$ac_cv_header_cieeefp" != "yes"; then
     30687  #if test x"" = x; then
     30688#  hdr="#include <ieeefp.h>"
     30689#else
     30690#  hdr=""
     30691#fi
     30692#AC_CHECK_HEADERS([ieeefp.h],[],[],[$hdr])
     30693
     30694for ac_header in ieeefp.h
     30695do
     30696as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     30697if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30698  echo "$as_me:$LINENO: checking for $ac_header" >&5
     30699echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30700if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30701  echo $ECHO_N "(cached) $ECHO_C" >&6
     30702fi
     30703echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30704echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30705else
     30706  # Is the header compilable?
     30707echo "$as_me:$LINENO: checking $ac_header usability" >&5
     30708echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     30709cat >conftest.$ac_ext <<_ACEOF
     30710/* confdefs.h.  */
     30711_ACEOF
     30712cat confdefs.h >>conftest.$ac_ext
     30713cat >>conftest.$ac_ext <<_ACEOF
     30714/* end confdefs.h.  */
     30715$ac_includes_default
     30716#include <$ac_header>
     30717_ACEOF
     30718rm -f conftest.$ac_objext
     30719if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     30720  (eval $ac_compile) 2>conftest.er1
     30721  ac_status=$?
     30722  grep -v '^ *+' conftest.er1 >conftest.err
     30723  rm -f conftest.er1
     30724  cat conftest.err >&5
     30725  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30726  (exit $ac_status); } &&
     30727         { ac_try='test -z "$ac_cxx_werror_flag"
     30728                         || test ! -s conftest.err'
     30729  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30730  (eval $ac_try) 2>&5
     30731  ac_status=$?
     30732  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30733  (exit $ac_status); }; } &&
     30734         { ac_try='test -s conftest.$ac_objext'
     30735  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     30736  (eval $ac_try) 2>&5
     30737  ac_status=$?
     30738  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30739  (exit $ac_status); }; }; then
     30740  ac_header_compiler=yes
     30741else
     30742  echo "$as_me: failed program was:" >&5
     30743sed 's/^/| /' conftest.$ac_ext >&5
     30744
     30745ac_header_compiler=no
     30746fi
     30747rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     30748echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     30749echo "${ECHO_T}$ac_header_compiler" >&6
     30750
     30751# Is the header present?
     30752echo "$as_me:$LINENO: checking $ac_header presence" >&5
     30753echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     30754cat >conftest.$ac_ext <<_ACEOF
     30755/* confdefs.h.  */
     30756_ACEOF
     30757cat confdefs.h >>conftest.$ac_ext
     30758cat >>conftest.$ac_ext <<_ACEOF
     30759/* end confdefs.h.  */
     30760#include <$ac_header>
     30761_ACEOF
     30762if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     30763  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     30764  ac_status=$?
     30765  grep -v '^ *+' conftest.er1 >conftest.err
     30766  rm -f conftest.er1
     30767  cat conftest.err >&5
     30768  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     30769  (exit $ac_status); } >/dev/null; then
     30770  if test -s conftest.err; then
     30771    ac_cpp_err=$ac_cxx_preproc_warn_flag
     30772    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     30773  else
     30774    ac_cpp_err=
     30775  fi
     30776else
     30777  ac_cpp_err=yes
     30778fi
     30779if test -z "$ac_cpp_err"; then
     30780  ac_header_preproc=yes
     30781else
     30782  echo "$as_me: failed program was:" >&5
     30783sed 's/^/| /' conftest.$ac_ext >&5
     30784
     30785  ac_header_preproc=no
     30786fi
     30787rm -f conftest.err conftest.$ac_ext
     30788echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     30789echo "${ECHO_T}$ac_header_preproc" >&6
     30790
     30791# So?  What about this header?
     30792case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     30793  yes:no: )
     30794    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     30795echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     30796    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     30797echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     30798    ac_header_preproc=yes
     30799    ;;
     30800  no:yes:* )
     30801    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     30802echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     30803    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     30804echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     30805    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     30806echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     30807    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     30808echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     30809    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     30810echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     30811    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     30812echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     30813    (
     30814      cat <<\_ASBOX
     30815## ----------------------------------- ##
     30816## Report this to clp@list.coin-or.org ##
     30817## ----------------------------------- ##
     30818_ASBOX
     30819    ) |
     30820      sed "s/^/$as_me: WARNING:     /" >&2
     30821    ;;
     30822esac
     30823echo "$as_me:$LINENO: checking for $ac_header" >&5
     30824echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     30825if eval "test \"\${$as_ac_Header+set}\" = set"; then
     30826  echo $ECHO_N "(cached) $ECHO_C" >&6
     30827else
     30828  eval "$as_ac_Header=\$ac_header_preproc"
     30829fi
     30830echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     30831echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     30832
     30833fi
     30834if test `eval echo '${'$as_ac_Header'}'` = yes; then
     30835  cat >>confdefs.h <<_ACEOF
     30836#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     30837_ACEOF
     30838
     30839fi
     30840
     30841done
     30842
     30843
     30844fi
     30845ac_ext=c
     30846ac_cpp='$CPP $CPPFLAGS'
     30847ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     30848ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     30849ac_compiler_gnu=$ac_cv_c_compiler_gnu
     30850
    2985230851
    2985330852
  • trunk/Clp/configure.ac

    r1698 r1722  
    138138AC_COIN_CHECK_GNU_READLINE(ClpLib)
    139139
     140AC_COIN_CHECK_CXX_CHEADER(math)
     141AC_COIN_CHECK_CXX_CHEADER(float)
     142AC_COIN_CHECK_CXX_CHEADER(ieeefp)
     143
    140144##############################################################################
    141145#                   VPATH links for example input files                      #
  • trunk/Clp/inc/config_clp.h.in

    r1695 r1722  
    7272#undef FC_DUMMY_MAIN_EQ_F77
    7373
     74/* Define to 1 if you have the <cfloat> header file. */
     75#undef HAVE_CFLOAT
     76
     77/* Define to 1 if you have the <cieeefp> header file. */
     78#undef HAVE_CIEEEFP
     79
     80/* Define to 1 if you have the <cmath> header file. */
     81#undef HAVE_CMATH
     82
    7483/* Define to 1 if you have the <dlfcn.h> header file. */
    7584#undef HAVE_DLFCN_H
    7685
     86/* Define to 1 if you have the <float.h> header file. */
     87#undef HAVE_FLOAT_H
     88
     89/* Define to 1 if you have the <ieeefp.h> header file. */
     90#undef HAVE_IEEEFP_H
     91
    7792/* Define to 1 if you have the <inttypes.h> header file. */
    7893#undef HAVE_INTTYPES_H
     94
     95/* Define to 1 if you have the <math.h> header file. */
     96#undef HAVE_MATH_H
    7997
    8098/* Define to 1 if you have the <memory.h> header file. */
  • trunk/Clp/src/ClpCholeskyBase.hpp

    r1665 r1722  
    88
    99#include "CoinPragma.hpp"
    10 #include "CoinFinite.hpp"
     10#include "CoinTypes.hpp"
    1111//#define CLP_LONG_CHOLESKY 0
    1212#ifndef CLP_LONG_CHOLESKY
  • trunk/Clp/src/ClpHelperFunctions.cpp

    r1665 r1722  
    1515#include <cmath>
    1616#include "CoinHelperFunctions.hpp"
    17 #include "CoinFinite.hpp"
     17#include "CoinTypes.hpp"
     18
    1819double
    1920maximumAbsElement(const double * region, int size)
  • trunk/Clp/src/ClpHelperFunctions.hpp

    r1665 r1722  
    66#ifndef ClpHelperFunctions_H
    77#define ClpHelperFunctions_H
     8
     9#include "ClpConfig.h"
     10#ifdef HAVE_CMATH
     11# include <cmath>
     12#else
     13# ifdef HAVE_MATH_H
     14#  include <math.h>
     15# else
     16#  error "don't have header file for math"
     17# endif
     18#endif
    819
    920/**
  • trunk/Clp/src/ClpMatrixBase.hpp

    r1665 r1722  
    88
    99#include "CoinPragma.hpp"
    10 #include "CoinFinite.hpp"
     10#include "CoinTypes.hpp"
    1111
    1212#include "CoinPackedMatrix.hpp"
  • trunk/Clp/src/ClpModel.hpp

    r1665 r1722  
    2020#include "CoinMessageHandler.hpp"
    2121#include "CoinHelperFunctions.hpp"
     22#include "CoinTypes.hpp"
    2223#include "CoinFinite.hpp"
    2324#include "ClpParameters.hpp"
  • trunk/Clp/src/ClpNetworkBasis.hpp

    r1665 r1722  
    1515class CoinIndexedVector;
    1616class ClpSimplex;
    17 #include "CoinFinite.hpp"
     17#include "CoinTypes.hpp"
    1818#ifndef COIN_FAST_CODE
    1919#define COIN_FAST_CODE
  • trunk/Clp/src/ClpPackedMatrix.cpp

    r1679 r1722  
    2424#ifdef INTEL_MKL
    2525#include "mkl_spblas.h"
     26#endif
     27
     28//=============================================================================
     29#ifdef COIN_PREFETCH
     30#if 1
     31#define coin_prefetch(mem) \
     32         __asm__ __volatile__ ("prefetchnta %0" : : "m" (*(reinterpret_cast<char *>(mem))))
     33#define coin_prefetch_const(mem) \
     34         __asm__ __volatile__ ("prefetchnta %0" : : "m" (*(reinterpret_cast<const char *>(mem))))
     35#else
     36#define coin_prefetch(mem) \
     37         __asm__ __volatile__ ("prefetch %0" : : "m" (*(reinterpret_cast<char *>(mem))))
     38#define coin_prefetch_const(mem) \
     39         __asm__ __volatile__ ("prefetch %0" : : "m" (*(reinterpret_cast<const char *>(mem))))
     40#endif
     41#else
     42// dummy
     43#define coin_prefetch(mem)
     44#define coin_prefetch_const(mem)
    2645#endif
    2746
  • trunk/Clp/src/ClpPackedMatrix.hpp

    r1665 r1722  
    1010
    1111#include "ClpMatrixBase.hpp"
     12
     13// Compilers can produce better code if they know about __restrict
     14#ifndef COIN_RESTRICT
     15#ifdef COIN_USE_RESTRICT
     16#define COIN_RESTRICT __restrict
     17#else
     18#define COIN_RESTRICT
     19#endif
     20#endif
    1221
    1322/** This implements CoinPackedMatrix as derived from ClpMatrixBase.
  • trunk/Clp/src/ClpSimplex.cpp

    r1696 r1722  
    1515#endif
    1616#include "CoinHelperFunctions.hpp"
     17#include "CoinFloatEqual.hpp"
    1718#include "ClpSimplex.hpp"
    1819#include "ClpFactorization.hpp"
  • trunk/Clp/src/ClpSimplexOther.cpp

    r1678 r1722  
    2121#include "CoinBuild.hpp"
    2222#include "CoinMpsIO.hpp"
     23#include "CoinFloatEqual.hpp"
    2324#include "ClpMessage.hpp"
    2425#include <cfloat>
  • trunk/Clp/src/unitTest.cpp

    r1695 r1722  
    2424#include "CoinHelperFunctions.hpp"
    2525#include "CoinTime.hpp"
     26#include "CoinFloatEqual.hpp"
    2627
    2728#include "ClpFactorization.hpp"
Note: See TracChangeset for help on using the changeset viewer.